import request from '@/utils/request'

// 查询严重失信主体名单列表
export function list19(query) {
  return request({
    url: '/basicData/xcrDishonestyPunishment19/findByPage',
    method: 'get',
    params: query
  })
}

// 查询严重失信主体名单详细
export function get19(xhCodeId) {
  return request({
    url: '/basicData/xcrDishonestyPunishment19/' + xhCodeId,
    method: 'get'
  })
}

// 新增严重失信主体名单
export function add19(data) {
  return request({
    url: '/basicData/xcrDishonestyPunishment19',
    method: 'post',
    data: data
  })
}

// 修改严重失信主体名单
export function update19(data) {
  return request({
    url: '/basicData/xcrDishonestyPunishment19',
    method: 'put',
    data: data
  })
}

// 删除严重失信主体名单
export function del19(xhCodeId) {
  return request({
    url: '/basicData/xcrDishonestyPunishment19/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function del19Batch(ids) {
  return request.post('/basicData/xcrDishonestyPunishment19/delete',ids)
}
